Index: /palm/trunk/SOURCE/module_interface.f90
===================================================================
--- /palm/trunk/SOURCE/module_interface.f90	(revision 4752)
+++ /palm/trunk/SOURCE/module_interface.f90	(revision 4753)
@@ -1612,21 +1589,23 @@
 
 
-!------------------------------------------------------------------------------!
+!--------------------------------------------------------------------------------------------------!
 !
 ! Description:
 ! ------------
 !> Define module-specific 3D output variables
-!------------------------------------------------------------------------------!
- SUBROUTINE module_interface_data_output_3d( av, variable, found, local_pf,    &
-                                             fill_value, resorted, nzb_do, nzt_do )
-
+!--------------------------------------------------------------------------------------------------!
+ SUBROUTINE module_interface_data_output_3d( av, variable, found, local_pf, fill_value, resorted,  &
+                                             nzb_do, nzt_do )
+
+    CHARACTER (LEN=*), INTENT(IN)    ::  variable   !< variable name
 
     INTEGER(iwp),      INTENT(IN)    ::  av         !< flag for (non-)average output
-    CHARACTER (LEN=*), INTENT(IN)    ::  variable   !< variable name
-    LOGICAL,           INTENT(INOUT) ::  found      !< flag if output variable is found
-    REAL(wp),          INTENT(IN)    ::  fill_value !< ToDo: refactor
-    LOGICAL,           INTENT(OUT)   ::  resorted   !< flag if output has been resorted
     INTEGER(iwp),      INTENT(IN)    ::  nzb_do     !< vertical output index (bottom) (usually 0)
     INTEGER(iwp),      INTENT(IN)    ::  nzt_do     !< vertical output index (top) (usually nz_do3d)
+
+    LOGICAL,           INTENT(INOUT) ::  found      !< flag if output variable is found
+    LOGICAL,           INTENT(OUT)   ::  resorted   !< flag if output has been resorted
+
+    REAL(wp),          INTENT(IN)    ::  fill_value !< ToDo: refactor
 
     REAL(sp), DIMENSION(nxl:nxr,nys:nyn,nzb_do:nzt_do), INTENT(INOUT) ::  local_pf
@@ -1704,16 +1683,17 @@
 
 
-!------------------------------------------------------------------------------!
+!--------------------------------------------------------------------------------------------------!
 ! Description:
 ! ------------
 !> Compute module-specific profile and timeseries data
-!------------------------------------------------------------------------------!
+!--------------------------------------------------------------------------------------------------!
  SUBROUTINE module_interface_statistics( mode, sr, tn, dots_max )
 
 
     CHARACTER (LEN=*), INTENT(IN) ::  mode     !< statistical analysis mode
+
+    INTEGER(iwp),      INTENT(IN) ::  dots_max !< maximum number of timeseries
     INTEGER(iwp),      INTENT(IN) ::  sr       !<
     INTEGER(iwp),      INTENT(IN) ::  tn       !<
-    INTEGER(iwp),      INTENT(IN) ::  dots_max !< maximum number of timeseries
 
 
@@ -1801,9 +1781,9 @@
 
 
-!------------------------------------------------------------------------------!
+!--------------------------------------------------------------------------------------------------!
 ! Description:
 ! ------------
 !> Write module-specific restart data globaly shared by all MPI ranks
-!------------------------------------------------------------------------------!
+!--------------------------------------------------------------------------------------------------!
  SUBROUTINE module_interface_wrd_global
 
@@ -1833,15 +1813,15 @@
 
 
-!------------------------------------------------------------------------------!
+!--------------------------------------------------------------------------------------------------!
 ! Description:
 ! ------------
 !> Read module-specific local restart data arrays (Fortran binary format).
-!------------------------------------------------------------------------------!
- SUBROUTINE module_interface_rrd_local_ftn( map_index,                             &
-                                           nxlf, nxlc, nxl_on_file,               &
-                                           nxrf, nxrc, nxr_on_file,               &
-                                           nynf, nync, nyn_on_file,               &
-                                           nysf, nysc, nys_on_file,               &
-                                           tmp_2d, tmp_3d, found )
+!--------------------------------------------------------------------------------------------------!
+ SUBROUTINE module_interface_rrd_local_ftn( map_index,                                             &
+                                            nxlf, nxlc, nxl_on_file,                               &
+                                            nxrf, nxrc, nxr_on_file,                               &
+                                            nynf, nync, nyn_on_file,                               &
+                                            nysf, nysc, nys_on_file,                               &
+                                            tmp_2d, tmp_3d, found )
 
 
@@ -1859,11 +1839,12 @@
     INTEGER(iwp), INTENT(IN)  ::  nysf         !<
     INTEGER(iwp), INTENT(IN)  ::  nys_on_file  !<
+
     LOGICAL,      INTENT(INOUT) ::  found        !< flag if variable was found
 
-    REAL(wp), &
-       DIMENSION(nys_on_file-nbgp:nyn_on_file+nbgp,nxl_on_file-nbgp:nxr_on_file+nbgp), &
+    REAL(wp),                                                                                      &
+       DIMENSION(nys_on_file-nbgp:nyn_on_file+nbgp,nxl_on_file-nbgp:nxr_on_file+nbgp),             &
        INTENT(OUT) :: tmp_2d   !<
-    REAL(wp), &
-       DIMENSION(nzb:nzt+1,nys_on_file-nbgp:nyn_on_file+nbgp,nxl_on_file-nbgp:nxr_on_file+nbgp), &
+    REAL(wp),                                                                                      &
+       DIMENSION(nzb:nzt+1,nys_on_file-nbgp:nyn_on_file+nbgp,nxl_on_file-nbgp:nxr_on_file+nbgp),   &
        INTENT(OUT) :: tmp_3d   !<
 
@@ -1873,127 +1854,112 @@
     ENDIF
 
-    CALL dynamics_rrd_local(                                                   &
-           map_index,                                                          &
-           nxlf, nxlc, nxl_on_file,                                            &
-           nxrf, nxrc, nxr_on_file,                                            &
-           nynf, nync, nyn_on_file,                                            &
-           nysf, nysc, nys_on_file,                                            &
-           tmp_2d, tmp_3d, found                                               &
-        ) ! ToDo: change interface to pass variable
-
-    IF ( .NOT. found )  CALL bio_rrd_local(                                    &
-                               found                                           &
-                            )
-
-    IF ( .NOT. found )  CALL bcm_rrd_local(                                    &
-                               map_index,                                      &
-                               nxlf, nxlc, nxl_on_file,                        &
-                               nxrf, nxrc, nxr_on_file,                        &
-                               nynf, nync, nyn_on_file,                        &
-                               nysf, nysc, nys_on_file,                        &
-                               tmp_2d, tmp_3d, found                           &
-                            ) ! ToDo: change interface to pass variable
-
-    IF ( .NOT. found )  CALL chem_rrd_local(                                   &
-                               map_index,                                      &
-                               nxlf, nxlc, nxl_on_file,                        &
-                               nxrf, nxrc, nxr_on_file,                        &
-                               nynf, nync, nyn_on_file,                        &
-                               nysf, nysc, nys_on_file,                        &
-                               tmp_3d, found                                   &
-                            ) ! ToDo: change interface to pass variable
-
-    IF ( .NOT. found )  CALL doq_rrd_local(                                    &
-                               map_index,                                      &
-                               nxlf, nxlc, nxl_on_file,                        &
-                               nxrf, nxrc, nxr_on_file,                        &
-                               nynf, nync, nyn_on_file,                        &
-                               nysf, nysc, nys_on_file,                        &
-                               tmp_2d, tmp_3d, found                           &
-                            ) ! ToDo: change interface to pass variable
-
-    IF ( .NOT. found )  CALL gust_rrd_local(                                   &
-                               map_index,                                      &
-                               nxlf, nxlc, nxl_on_file,                        &
-                               nxrf, nxrc, nxr_on_file,                        &
-                               nynf, nync, nyn_on_file,                        &
-                               nysf, nysc, nys_on_file,                        &
-                               tmp_2d, tmp_3d, found                           &
-                            ) ! ToDo: change interface to pass variable
-
-    IF ( .NOT. found )  CALL lpm_rrd_local(                                    &
-                               map_index,                                      &
-                               nxlf, nxlc, nxl_on_file,                        &
-                               nxrf, nxrc, nxr_on_file,                        &
-                               nynf, nync, nyn_on_file,                        &
-                               nysf, nysc, nys_on_file,                        &
-                               tmp_3d, found                                   &
-                            ) ! ToDo: change interface to pass variable
-
-    IF ( .NOT. found )  CALL lsm_rrd_local(                                    &
-                               map_index,                                      &
-                               nxlf, nxlc, nxl_on_file,                        &
-                               nxrf, nxrc, nxr_on_file,                        &
-                               nynf, nync, nyn_on_file,                        &
-                               nysf, nysc, nys_on_file,                        &
-                               tmp_2d, found                                   &
-                            ) ! ToDo: change interface to pass variable
-
-     IF ( .NOT. found )  CALL pcm_rrd_local(                                   &
-                               map_index,                                      &
-                               nxlf, nxlc, nxl_on_file,                        &
-                               nxrf, nxrc, nxr_on_file,                        &
-                               nynf, nync, nyn_on_file,                        &
-                               nysf, nysc, nys_on_file,                        &
-                               found                                           &
+    CALL dynamics_rrd_local( map_index,                                                            &
+                             nxlf, nxlc, nxl_on_file,                                              &
+                             nxrf, nxrc, nxr_on_file,                                              &
+                             nynf, nync, nyn_on_file,                                              &
+                             nysf, nysc, nys_on_file,                                              &
+                             tmp_2d, tmp_3d, found                                                 &
+                           ) ! ToDo: change interface to pass variable
+
+    IF ( .NOT. found )  CALL bio_rrd_local( found )
+
+    IF ( .NOT. found )  CALL bcm_rrd_local( map_index,                                             &
+                                            nxlf, nxlc, nxl_on_file,                               &
+                                            nxrf, nxrc, nxr_on_file,                               &
+                                            nynf, nync, nyn_on_file,                               &
+                                            nysf, nysc, nys_on_file,                               &
+                                            tmp_2d, tmp_3d, found                                  &
+                                          ) ! ToDo: change interface to pass variable
+
+    IF ( .NOT. found )  CALL chem_rrd_local( map_index,                                            &
+                                             nxlf, nxlc, nxl_on_file,                              &
+                                             nxrf, nxrc, nxr_on_file,                              &
+                                             nynf, nync, nyn_on_file,                              &
+                                             nysf, nysc, nys_on_file,                              &
+                                             tmp_3d, found                                         &
+                                           ) ! ToDo: change interface to pass variable
+
+    IF ( .NOT. found )  CALL doq_rrd_local( map_index,                                             &
+                                            nxlf, nxlc, nxl_on_file,                               &
+                                            nxrf, nxrc, nxr_on_file,                               &
+                                            nynf, nync, nyn_on_file,                               &
+                                            nysf, nysc, nys_on_file,                               &
+                                            tmp_2d, tmp_3d, found                                  &
+                                          ) ! ToDo: change interface to pass variable
+
+    IF ( .NOT. found )  CALL gust_rrd_local( map_index,                                            &
+                                             nxlf, nxlc, nxl_on_file,                              &
+                                             nxrf, nxrc, nxr_on_file,                              &
+                                             nynf, nync, nyn_on_file,                              &
+                                             nysf, nysc, nys_on_file,                              &
+                                             tmp_2d, tmp_3d, found                                 &
+                                           ) ! ToDo: change interface to pass variable
+
+    IF ( .NOT. found )  CALL lpm_rrd_local( map_index,                                             &
+                                            nxlf, nxlc, nxl_on_file,                               &
+                                            nxrf, nxrc, nxr_on_file,                               &
+                                            nynf, nync, nyn_on_file,                               &
+                                            nysf, nysc, nys_on_file,                               &
+                                            tmp_3d, found                                          &
+                                          ) ! ToDo: change interface to pass variable
+
+    IF ( .NOT. found )  CALL lsm_rrd_local( map_index,                                             &
+                                            nxlf, nxlc, nxl_on_file,                               &
+                                            nxrf, nxrc, nxr_on_file,                               &
+                                            nynf, nync, nyn_on_file,                               &
+                                            nysf, nysc, nys_on_file,                               &
+                                            tmp_2d, found                                          &
+                                          ) ! ToDo: change interface to pass variable
+
+     IF ( .NOT. found )  CALL pcm_rrd_local( map_index,                                            &
+                                             nxlf, nxlc, nxl_on_file,                              &
+                                             nxrf, nxrc, nxr_on_file,                              &
+                                             nynf, nync, nyn_on_file,                              &
+                                             nysf, nysc, nys_on_file,                              &
+                                             found                                                 &
                                            )
 
-    IF ( .NOT. found )  CALL ocean_rrd_local(                                  &
-                               map_index,                                      &
-                               nxlf, nxlc, nxl_on_file,                        &
-                               nxrf, nxrc, nxr_on_file,                        &
-                               nynf, nync, nyn_on_file,                        &
-                               nysf, nysc, nys_on_file,                        &
-                               tmp_3d, found                                   &
-                            ) ! ToDo: change interface to pass variable
-
-    IF ( .NOT. found )  CALL radiation_rrd_local(                              &
-                               map_index,                                      &
-                               nxlf, nxlc, nxl_on_file,                        &
-                               nxrf, nxrc, nxr_on_file,                        &
-                               nynf, nync, nyn_on_file,                        &
-                               nysf, nysc, nys_on_file,                        &
-                               tmp_2d, tmp_3d, found                           &
-                            ) ! ToDo: change interface to pass variable
-
-    IF ( .NOT. found )  CALL salsa_rrd_local(                                  &
-                               map_index,                                      &
-                               nxlf, nxlc, nxl_on_file,                        &
-                               nxrf, nxrc, nxr_on_file,                        &
-                               nynf, nync, nyn_on_file,                        &
-                               nysf, nysc, nys_on_file,                        &
-                               tmp_3d, found                                   &
-                            ) ! ToDo: change interface to pass variable
-
-    IF ( .NOT. found )  CALL usm_rrd_local(                                    &
-                               map_index,                                      &
-                               nxlf, nxlc, nxl_on_file,                        &
-                               nxrf, nxr_on_file,                              &
-                               nynf, nyn_on_file,                              &
-                               nysf, nysc, nys_on_file,                        &
-                               found                                           &
-                            ) ! ToDo: change interface to pass variable
+    IF ( .NOT. found )  CALL ocean_rrd_local( map_index,                                           &
+                                              nxlf, nxlc, nxl_on_file,                             &
+                                              nxrf, nxrc, nxr_on_file,                             &
+                                              nynf, nync, nyn_on_file,                             &
+                                              nysf, nysc, nys_on_file,                             &
+                                              tmp_3d, found                                        &
+                                            ) ! ToDo: change interface to pass variable
+
+    IF ( .NOT. found )  CALL radiation_rrd_local( map_index,                                       &
+                                                  nxlf, nxlc, nxl_on_file,                         &
+                                                  nxrf, nxrc, nxr_on_file,                         &
+                                                  nynf, nync, nyn_on_file,                         &
+                                                  nysf, nysc, nys_on_file,                         &
+                                                  tmp_2d, tmp_3d, found                            &
+                                                ) ! ToDo: change interface to pass variable
+
+    IF ( .NOT. found )  CALL salsa_rrd_local( map_index,                                           &
+                                              nxlf, nxlc, nxl_on_file,                             &
+                                              nxrf, nxrc, nxr_on_file,                             &
+                                              nynf, nync, nyn_on_file,                             &
+                                              nysf, nysc, nys_on_file,                             &
+                                              tmp_3d, found                                        &
+                                            ) ! ToDo: change interface to pass variable
+
+    IF ( .NOT. found )  CALL usm_rrd_local( map_index,                                             &
+                                            nxlf, nxlc, nxl_on_file,                               &
+                                            nxrf, nxr_on_file,                                     &
+                                            nynf, nyn_on_file,                                     &
+                                            nysf, nysc, nys_on_file,                               &
+                                            found                                                  &
+                                          ) ! ToDo: change interface to pass variable
 !
 !-- Surface data do not need overlap data, so do not pass these information.
     IF ( .NOT. found )  CALL surface_data_output_rrd_local( found )
 
-    IF ( .NOT. found )  CALL user_rrd_local(                                   &
-                               map_index,                                      &
-                               nxlf, nxlc, nxl_on_file,                        &
-                               nxrf, nxrc, nxr_on_file,                        &
-                               nynf, nync, nyn_on_file,                        &
-                               nysf, nysc, nys_on_file,                        &
-                               tmp_3d, found                                   &
-                            ) ! ToDo: change interface to pass variable
+    IF ( .NOT. found )  CALL user_rrd_local( map_index,                                            &
+                                             nxlf, nxlc, nxl_on_file,                              &
+                                             nxrf, nxrc, nxr_on_file,                              &
+                                             nynf, nync, nyn_on_file,                              &
+                                             nysf, nysc, nys_on_file,                              &
+                                             tmp_3d, found                                         &
+                                           ) ! ToDo: change interface to pass variable
 
     IF ( debug_output )  THEN
@@ -2004,9 +1970,9 @@
 
 
-!------------------------------------------------------------------------------!
+!--------------------------------------------------------------------------------------------------!
 ! Description:
 ! ------------
 !> Read module-specific local restart data arrays (MPI-IO).
-!------------------------------------------------------------------------------!
+!--------------------------------------------------------------------------------------------------!
  SUBROUTINE module_interface_rrd_local_mpi
 
@@ -2040,9 +2006,9 @@
 
 
-!------------------------------------------------------------------------------!
+!--------------------------------------------------------------------------------------------------!
 ! Description:
 ! ------------
 !> Write module-specific restart data specific to local MPI ranks
-!------------------------------------------------------------------------------!
+!--------------------------------------------------------------------------------------------------!
  SUBROUTINE module_interface_wrd_local
 
@@ -2074,9 +2040,9 @@
 
 
-!------------------------------------------------------------------------------!
+!--------------------------------------------------------------------------------------------------!
 ! Description:
 ! ------------
 !> Perform module-specific last actions before the program terminates
-!------------------------------------------------------------------------------!
+!--------------------------------------------------------------------------------------------------!
  SUBROUTINE module_interface_last_actions
 
Index: /palm/trunk/SOURCE/modules.f90
===================================================================
--- /palm/trunk/SOURCE/modules.f90	(revision 4752)
+++ /palm/trunk/SOURCE/modules.f90	(revision 4753)
@@ -1,20 +1,19 @@
 !> @file modules.f90
-!------------------------------------------------------------------------------!
+!--------------------------------------------------------------------------------------------------!
 ! This file is part of the PALM model system.
 !
-! PALM is free software: you can redistribute it and/or modify it under the
-! terms of the GNU General Public License as published by the Free Software
-! Foundation, either version 3 of the License, or (at your option) any later
-! version.
-!
-! PALM is distributed in the hope that it will be useful, but WITHOUT ANY
-! WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR
-! A PARTICULAR PURPOSE.  See the GNU General Public License for more details.
-!
-! You should have received a copy of the GNU General Public License along with
-! PALM. If not, see <http://www.gnu.org/licenses/>.
+! PALM is free software: you can redistribute it and/or modify it under the terms of the GNU General
+! Public License as published by the Free Software Foundation, either version 3 of the License, or
+! (at your option) any later version.
+!
+! PALM is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the
+! implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General
+! Public License for more details.
+!
+! You should have received a copy of the GNU General Public License along with PALM. If not, see
+! <http://www.gnu.org/licenses/>.
 !
 ! Copyright 1997-2020 Leibniz Universitaet Hannover
-!------------------------------------------------------------------------------!
+!--------------------------------------------------------------------------------------------------!
 !
 ! Current revisions:
@@ -25,4 +24,7 @@
 ! -----------------
 ! $Id$
+! file re-formatted to follow the PALM coding standard
+!
+! 4742 2020-10-14 15:11:02Z schwenkel
 ! Implement snow and graupel (bulk microphysics)
 !
@@ -69,6 +71,6 @@
 !
 ! 4472 2020-03-24 12:21:00Z Giersch
-! Additional switch added to activate calculations in flow_statistics for the
-! kolmogorov length scale
+! Additional switch added to activate calculations in flow_statistics for the kolmogorov length
+! scale
 !
 ! 4461 2020-03-12 16:51:59Z raasch
@@ -76,12 +78,11 @@
 !
 ! 4414 2020-02-19 20:16:04Z suehring
-! - nzb_diff_s_inner, nzb_diff_s_outer, nzb_inner,nzb_outer, nzb_s_inner,
-!   nzb_s_outer, nzb_u_inner, nzb_u_outer, nzb_v_inner, nzb_v_outer,
-!   nzb_w_inner, nzb_w_outer
+! - nzb_diff_s_inner, nzb_diff_s_outer, nzb_inner,nzb_outer, nzb_s_inner, nzb_s_outer, nzb_u_inner,
+!   nzb_u_outer, nzb_v_inner, nzb_v_outer, nzb_w_inner, nzb_w_outer
 !
 !
 ! 4360 2020-01-07 11:25:50Z suehring
-! Introduction of wall_flags_total_0, which currently sets bits based on static
-! topography information used in wall_flags_static_0
+! Introduction of wall_flags_total_0, which currently sets bits based on static topography
+! information used in wall_flags_static_0
 !
 ! 4340 2019-12-16 08:17:03Z Giersch
@@ -107,6 +108,5 @@
 !
 ! 4184 2019-08-23 08:07:40Z oliver.maas
-! changed allocated length of recycling_method_for_thermodynamic_quantities
-! from 20 to 80 characters
+! changed allocated length of recycling_method_for_thermodynamic_quantities from 20 to 80 characters
 !
 ! 4183 2019-08-23 07:33:16Z oliver.maas
@@ -127,6 +127,5 @@
 !
 ! 4131 2019-08-02 11:06:18Z monakurppa
-! Add max_pr_salsa to control_parameters. Used in creating profile output for
-! salsa.
+! Add max_pr_salsa to control_parameters. Used in creating profile output for salsa.
 !
 ! 4110 2019-07-22 17:05:21Z suehring
@@ -141,6 +140,6 @@
 !
 ! 4069 2019-07-01 14:05:51Z Giersch
-! Masked output running index mid has been introduced as a local variable to
-! avoid runtime error (Loop variable has been modified) in time_integration
+! Masked output running index mid has been introduced as a local variable to avoid runtime error
+! (Loop variable has been modified) in time_integration
 !
 ! 4017 2019-06-06 12:16:46Z schwenkel
@@ -151,6 +150,6 @@
 !
 ! 3885 2019-04-11 11:29:34Z kanani
-! Changes related to global restructuring of location messages and introduction
-! of additional debug messages
+! Changes related to global restructuring of location messages and introduction of additional debug
+! messages
 !
 ! 3871 2019-04-08 14:38:39Z knoop
@@ -163,16 +162,16 @@
 ! -surface_data_output +surface_output
 !
-!------------------------------------------------------------------------------!
+!--------------------------------------------------------------------------------------------------!
 ! Description:
 ! ------------
 !> Definition of global variables
-!------------------------------------------------------------------------------!
-
-
-!------------------------------------------------------------------------------!
+!--------------------------------------------------------------------------------------------------!
+
+
+!--------------------------------------------------------------------------------------------------!
 ! Description:
 ! ------------
 !> Definition of variables for special advection schemes.
-!------------------------------------------------------------------------------!
+!--------------------------------------------------------------------------------------------------!
  MODULE advection
 
@@ -190,11 +189,11 @@
 
 
-!------------------------------------------------------------------------------!
+!--------------------------------------------------------------------------------------------------!
 ! Description:
 ! ------------
-!> The variable in this module is used by multi_agent_system_mod AND
-!> netcdf_interface_mod. It must be here to avoid circular dependency.
+!> The variable in this module is used by multi_agent_system_mod AND netcdf_interface_mod. It must
+!> be here to avoid circular dependency.
 !> This is a workaround.
-!------------------------------------------------------------------------------!
+!--------------------------------------------------------------------------------------------------!
  MODULE mas_global_attributes
 
